% ----------------------
% SS.m
% ----------------------
% computes steady state and fills the values for year 't'
% in:   -
% out:  edy
% ----------------------

function edyresid = SS()

global t mpc rho
global Y Div w I V K H C edy  r
global A_0 alpha L0 delta

r(t)     = rho;
K(t)     = L0*(alpha*A_0/(r(t)+delta))^(1/(1-alpha));
Y(t)     = A_0*K(t)^alpha*L0^(1-alpha);
w(t)     = (1-alpha)*Y(t)/L0;
I(t)     = delta*K(t);
Div(t)   = Y(t)-w(t)*L0-I(t);
V(t)     = (1+r(t))/r(t)*Div(t);
H(t)     = (1+r(t))/r(t)*w(t)*L0;
C(t)     = mpc*(V(t)+H(t));
edy(t)   = I(t)+C(t)-Y(t);

edyresid = edy(t);

end