% ----------------------
% path.m
% ----------------------
% computes the path of temporary equilibrium until tend
% in:   guess, tstart (opt), tstop (opt)
% out:  actual
% ----------------------

function actualout = path(guessin,tstart,tstop)

global t tend
global V H

V       = guessin(:,1)';
H       = guessin(:,2)';

% COMPUTE ALL TEMPORARY EQUILIBRIA

if nargin < 3;
    tstop = tend;
end

if nargin > 1
    t = tstart;
else
    t = 1;
end

while t < tstop
    TE();
    t   = t+1;
end

actual = [V; H]';

actualout = actual;

end